#[cfg(feature = "bytemuck")]
mod bytemuck_tests {
    use roofy::*;
    use std::mem::size_of;

    #[test]
    fn vec2_no_padding() {
        assert_eq!(size_of::<Vec2>(), 2 * size_of::<f32>());
    }

    #[test]
    fn vec3_no_padding() {
        assert_eq!(size_of::<Vec3>(), 3 * size_of::<f32>());
    }

    #[test]
    fn vec4_no_padding() {
        assert_eq!(size_of::<Vec4>(), 4 * size_of::<f32>());
    }

    #[test]
    fn quat_no_padding() {
        assert_eq!(size_of::<Quat>(), 4 * size_of::<f32>());
    }

    #[test]
    fn mat2_no_padding() {
        assert_eq!(size_of::<Mat2>(), 4 * size_of::<f32>());
    }

    #[test]
    fn mat3_no_padding() {
        assert_eq!(size_of::<Mat3>(), 9 * size_of::<f32>());
    }

    #[test]
    fn mat4_no_padding() {
        assert_eq!(size_of::<Mat4>(), 16 * size_of::<f32>());
    }

    #[test]
    fn affine2_no_padding() {
        assert_eq!(size_of::<Affine2>(), 6 * size_of::<f32>());
    }

    #[test]
    fn affine3_no_padding() {
        assert_eq!(size_of::<Affine3>(), 12 * size_of::<f32>());
    }
}
